# Configuration file

~CONFIG_VERSION: 1.0

##########################################################################################################
# abilities
#--------------------------------------------------------------------------------------------------------#
# Android Player Abilities
##########################################################################################################

abilities {
    # The energy cost of the Cloak
    I:cloak_energy_per_tick=128

    # The energy cost of each heal by the Nanobots ability
    I:heal_energy_per_regen=32

    # The energy cost of each High Jump
    I:high_jump_energy=1024

    # The energy cost of the Nightvision
    I:nighvision_energy_per_tick=16

    # The energy cost of each hit to the shield
    I:shield_energy_per_damage=256

    # The energy cost of the shield per tick
    I:shield_energy_per_tick=64

    # The Unlocalized names of the blacklist blocks that the player can't teleport to [default: [hellsand], [barrier], [bedrock]]
    S:teleport_blacklist <
        hellsand
        barrier
        bedrock
     >

    # The Energy cost of each Teleportation
    I:teleport_energy_cost=4096

    # The maximum distance in blocks, the player can teleport to
    I:teleport_max_distance=32

    # The max height amount that the teleport ability checks if there is no 2 blocks air space
    I:teleport_max_height_check=8
}


##########################################################################################################
# client
#--------------------------------------------------------------------------------------------------------#
# Options for the Matter overdrive client
##########################################################################################################

client {
    # Use the custom holo shader for holographic items [default: true]
    B:"use holo shader"=true

    # Should Matter Overdrive check for newer versions, every time the world starts
    B:version_check=true

    ##########################################################################################################
    # android_hud
    #--------------------------------------------------------------------------------------------------------#
    # Positioning and colors of Android HUD elements
    ##########################################################################################################

    android_hud {
        I:android_biotic_stats.position=2
        I:android_minimap.position=6
        I:android_stats.position=0

        # Should the health bar and food bar be hidden
        B:hide_vanilla_hud_elements=true

        # The opacity of the black background for each HUD element
        D:hud_background_opacity=0.0
        S:hud_color=ffa9e2fb

        # Should the Android HUD move when the player turns his head.
        B:hud_movement=true

        # The Opacity of the HUD in %
        D:hud_opacity=0.5
    }

}


##########################################################################################################
# compatibility
#--------------------------------------------------------------------------------------------------------#
# Option for other mods
##########################################################################################################

compatibility {
}


##########################################################################################################
# debug
#--------------------------------------------------------------------------------------------------------#
# Debug Options. Such as Debug Log for Matter Recipe Calculation
##########################################################################################################

debug {
    B:"matter calculation"=false
    B:"matter registration"=false
}


##########################################################################################################
# entities
#--------------------------------------------------------------------------------------------------------#
# Options for Matter Overdrive Entities. Such as their Entity IDs.
##########################################################################################################

entities {

    android_player {
        B:disable_android_fov=true
        B:hurt_glitching=true
        S:potion_removal_blacklist <
         >
        I:recharge_amount_on_respawn=64000
        B:remove_potion_effects=true
        B:transformation_death=true
    }

    failed_pig {
        B:enable=true
    }

    failed_cow {
        B:enable=true
    }

    failed_chicken {
        B:enable=true
    }

    failed_sheep {
        B:enable=true
    }

    mad_scientist {
        B:enable=true
    }

    mutant_scientist {
        B:enable=true
    }

    rogue_android {
        # Rogue Android biome blacklist [default: [Hell], [Sky], [MushroomIsland], [MushroomIslandShore]]
        S:biome.blacklist <
            Hell
            Sky
            MushroomIsland
            MushroomIslandShore
         >

        # Rogue Android biome whitelist [default: ]
        S:biome.whitelist <
         >

        # Rogue Android Dimension ID blacklist
        I:dimension.blacklist <
            1
         >

        # Rogue Android Dimension ID whitelist
        I:dimension.whitelist <
         >

        # Should the Rouge Androids drop any items [default: true]
        B:do_drops=true

        # Should Legendary rogue androids drop Legendary weapons [default: true]
        B:drop_legendary_weapons=true

        # Should normal Rogue Androids drop their weapons? If set to false they will never drop their weapons, but if set to true there is a small chance they will drop them. [default: true]
        B:drop_weapons=true
        B:enable=true

        # The chance in percent, of rogue androids becoming legendary. This is the base value. This value is multiplied by the android's level [range: 0.0 ~ 1.0, default: 0.03]
        S:legendary_spawn_chance_percent=0.03

        # The max amount of Rogue Android that can spawn in a given chunk
        I:max_android_per_chunk=4

        # The spawn chance of rogue androids. How likely are they to spawn once chosen to spawn. [range: 0.0 ~ 1.0, default: 0.1]
        S:spawn_chance_percent=0.1

        # The spawn weight of Androids. This controls how likely are to be chosen to spawn next. [range: 0 ~ 100, default: 25]
        I:spawn_weight=25

        # Do Ranged Rogue Androids have unlimited weapon energy in their weapons [default: true]
        B:unlimited_weapon_energy=true
    }

    ranged_rogue_android {
        B:enable=true
    }

    drone {
        B:enable=true
    }

}


##########################################################################################################
# machine options
#--------------------------------------------------------------------------------------------------------#
# Machine Options.
##########################################################################################################

"machine options" {
    # The range of the Charge Station
    I:"charge station range"=8

    tritanium_crate_brown {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_black {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_light_blue {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_blue {
        # The volume of the Machine
        D:volume=1.0
    }

    matter_analyzer {
        # The volume of the Machine
        D:volume=1.0
    }

    fusion_reactor_io {
        # The volume of the Machine
        D:volume=1.0
    }

    decomposer {
        # Decomposing cost per matter
        I:cost.decompose=6000

        # The speed in ticks, of decomposing. (per matter)
        I:speed.decompose=80

        # How much energy can the Matter Decomposer hold
        I:storage.energy=512000

        # How much matter can the Matter Decomposer hold
        I:storage.matter=1024

        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_cyan {
        # The volume of the Machine
        D:volume=1.0
    }

    replicator {
        # The total replication cost of each matter value. The energy cost is calculated like so: (matterAmount*EnergyCost)
        I:cost.replication.energy=16000

        # Should vent particles be displayed
        B:particles.vent=true

        # The replication speed in ticks per matter value
        I:speed.replication=120

        # How much energy can the replicator hold
        I:storage.energy=512000

        # How much matter can the replicator hold
        I:storage.matter=1024

        # The volume of the Machine
        D:volume=1.0

        # The volume of the replication animation
        D:volume.replicate=1.0
    }

    network_switch {
        # The volume of the Machine
        D:volume=1.0
    }

    spacetime_accelerator {
        # The volume of the Machine
        D:volume=1.0

        # Show the wave particle when the machine is active
        B:wave_particle=true
    }

    tritanium_crate_white {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_silver {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_gray {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_orange {
        # The volume of the Machine
        D:volume=1.0
    }

    android_spawner {
        # The volume of the Machine
        D:volume=1.0
    }

    inscriber {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_purple {
        # The volume of the Machine
        D:volume=1.0
    }

    pattern_storage {
        # Should vent particles be displayed
        B:particles.vent=true

        # How much energy can the Pattern Storage hold
        I:storage.energy=64000

        # The Transfer speed of the Pattern Storage
        I:transfer.energy=128

        # The volume of the Machine
        D:volume=1.0
    }

    pattern_monitor {
        # The volume of the Machine
        D:volume=1.0
    }

    network_router {
        # The volume of the Machine
        D:volume=1.0
    }

    solar_panel {
        # The volume of the Machine
        D:volume=1.0
    }

    holo_sign {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_yellow {
        # The volume of the Machine
        D:volume=1.0
    }

    weapon_station {
        # The volume of the Machine
        D:volume=1.0
    }

    transporter {
        # The volume of the Machine
        D:volume=1.0
    }

    gravitational_stabilizer {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_lime {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_red {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate {
        # The volume of the Machine
        D:volume=1.0
    }

    charging_station {
        # The volume of the Machine
        D:volume=1.0
    }

    star_map {
        # The volume of the Machine
        D:volume=1.0
    }

    matter_recycler {
        # The volume of the Machine
        D:volume=1.0
    }

    contract_market {
        # The volume of the Machine
        D:volume=1.0
    }

    fusion_reactor_controller {
        # The time delay between each structure check
        I:check.delay=40

        # The maximum distance of the anomaly
        I:distance.anomaly=3

        # How much matter is drained per tick. Dependant on the size of the anomaly as well
        D:drain.matter=0.0125

        # The Energy Output per tick. Dependant on the size of the anomaly as well
        I:output.energy=2048

        # How much energy can the Fusion Reactor Controller hold
        I:storage.energy=100000000

        # How much matter can the Fusion Reactor Controller hold
        I:storage.matter=2048

        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_green {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_pink {
        # The volume of the Machine
        D:volume=1.0
    }

    tritanium_crate_magenta {
        # The volume of the Machine
        D:volume=1.0
    }

    android_station {
        # The volume of the Machine
        D:volume=1.0
    }

}


##########################################################################################################
# matter network
#--------------------------------------------------------------------------------------------------------#
# Matter Network Options.
##########################################################################################################

"matter network" {
    # The maximum amount of network packet broadcasts per tick.
    I:"max broadcasts per tick"=128
}


##########################################################################################################
# matter registry
#--------------------------------------------------------------------------------------------------------#
# Configuration for the Matter 
##########################################################################################################

"matter registry" {
    B:"automatic matter calculation from furnace"=true
    B:"automatic matter calculation from inscriber"=true
    B:"automatic matter calculation from recipe"=true
    B:automatic_calculation=true
    S:blacklist <
     >
    S:mod_blacklist <
     >

    ##########################################################################################################
    # add matter
    #--------------------------------------------------------------------------------------------------------#
    # Registration of new items and the amount of matter they contain. Add them like so: I:[registered name or ore Dictionary name](meta)=[matter amount]. () - optional parameter. Example I:dye2=10 I:egg=29
    ##########################################################################################################

    "add matter" {
    }

}


##########################################################################################################
# server
#--------------------------------------------------------------------------------------------------------#
# Options form the Matter Overdrive server
##########################################################################################################

server {

    gravitational_anomaly {
        # Should the gravitational anomaly destroy blocks [default: true]
        B:"block destruction"=true

        # Should the blocks drop entities or be directly consumed when destroyed by the gravitational anomaly [default: true]
        B:"gravitational anomaly block entities"=true

        # Should blocks be turned into falling blocks when broken [default: true]
        B:"gravitational anomaly falling blocks"=true

        # Should other mod fluid blocks be consumed by the anomaly [default: true]
        B:"gravitational anomaly forge fluids"=true

        # Should vanilla fluid block such as water and lava be consumed by the anomaly [default: true]
        B:"gravitational anomaly vanilla fluids"=true

        # Should the gravitational entity pull entities towards it [default: true]
        B:"gravitational pull"=true
    }

}


starmap {
    # The multiplier for the building and ship building times [range: 0.0 ~ 10.0, default: 1.0]
    S:"galaxy build time multiply"=1.0

    # The multiplier for the ship travel times [range: 0.0 ~ 10.0, default: 1.0]
    S:"galaxy travel time multiply"=1.0

    # The maximum amount of planets pre star system [range: 0 ~ 8, default: 4]
    I:max_planet_count=4

    # The maximum amount of stars in a galaxy [range: 0 ~ 512000, default: 2304]
    I:max_star_count=2304

    # The minimum amount of planets per star system [range: 0 ~ 8, default: 1]
    I:min_planet_count=1

    # The minimum amount of stars in a galaxy [range: 0 ~ 512000, default: 2048]
    I:min_star_count=2048

    # The chance of adding a prefix to a Star System's name [range: 0.0 ~ 1.0, default: 1.0]
    S:name_prefix_chance=1.0

    # The chance of adding a suffix to a Star System's name [range: 0.0 ~ 1.0, default: 0.8]
    S:name_suffix_chance=0.8

    # The amount of quadrants the galaxy should be divided into. The amount is cubed. x ^ 3. For example 3 ^ 3 = 27 quadrants. [range: 1 ~ 6, default: 3]
    I:quadrant_count=3
}


##########################################################################################################
# world gen
#--------------------------------------------------------------------------------------------------------#
# World Generation options.
##########################################################################################################

"world gen" {
    # Should Matter Overdrive Buildings Generate aka ImageGen [default: true]
    B:"generate buildings"=true

    # A blacklist of all the Dimensions ores shouldn't spawn in
    I:ore_gen_blacklist <
        -1
        2
     >

    # Should Matter Overdrive Ore Blocks be Generated ?
    B:"spawn ores"=true

    # Should other Matter Overdrive World Blocks be Generated?
    B:"spawn other"=true
    B:spawn.tile.dilithium_ore=true
    B:spawn.tile.gravitational_anomaly=true
    B:spawn.tile.tritanium_ore=true

    gravitational_anomaly {
        # Gravitational Anomaly Dimension ID blacklist
        I:blacklist <
         >

        # Spawn Chance of Gravity Anomaly pre chunk [range: 0.0 ~ 1.0, default: 0.05]
        S:"gravitational anomaly spawn chance"=0.05

        # Spawn Y level of the Gravity Anomaly [default: ]
        S:"gravitational anomaly spawn y level" <
         >

        # Gravitational Anomaly Dimension ID whitelist
        I:whitelist <
            -1
            0
         >
    }

}


